[tryton-debian-vcs] tryton-server branch debian updated. debian/3.6.0-1-5-g3d6be61
Mathias Behrle
tryton-debian-vcs at alioth.debian.org
Fri May 15 17:40:12 UTC 2015
The following commit has been merged in the debian branch:
https://alioth.debian.org/plugins/scmgit/cgi-bin/gitweb.cgi/?p=tryton/tryton-server.git;a=commitdiff;h=debian/3.6.0-1-5-g3d6be61
commit 3d6be619141e3ca0390459b6cfaa22b323be2101
Author: Mathias Behrle <mathiasb at m9s.biz>
Date: Fri May 15 19:37:09 2015 +0200
Unifying quoting of variables in maintainer scipts.
diff --git a/debian/tryton-server.init b/debian/tryton-server.init
index bf17039..dc9b259 100644
--- a/debian/tryton-server.init
+++ b/debian/tryton-server.init
@@ -53,14 +53,14 @@ do_start ()
chown "${DAEMONUSER}":"${DAEMONUSER}" "${PIDDIR}"
fi
- start-stop-daemon --start --quiet --pidfile ${PIDFILE} \
- --chuid ${DAEMONUSER} --background --make-pidfile \
- --exec ${DAEMON} -- ${DAEMON_OPTS}
+ start-stop-daemon --start --quiet --pidfile "${PIDFILE}" \
+ --chuid "${DAEMONUSER}" --background --make-pidfile \
+ --exec "${DAEMON}" -- "${DAEMON_OPTS}"
}
do_stop ()
{
- start-stop-daemon --stop --quiet --pidfile ${PIDFILE} --oknodo
+ start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" --oknodo
}
case "${1}" in
@@ -85,7 +85,7 @@ case "${1}" in
;;
status)
- status_of_proc -p ${PIDFILE} ${DAEMON} ${NAME} && \
+ status_of_proc -p "${PIDFILE}" "${DAEMON}" "${NAME}" && \
exit 0 || exit ${?}
;;
diff --git a/debian/tryton-server.postinst b/debian/tryton-server.postinst
index 08eb6bc..f23de5b 100644
--- a/debian/tryton-server.postinst
+++ b/debian/tryton-server.postinst
@@ -14,15 +14,15 @@ TRYTON_HOMEDIR="/var/lib/tryton"
case "${1}" in
configure)
# Creating system user
- adduser --home ${TRYTON_HOMEDIR} --no-create-home --quiet --system --group ${TRYTON_USER}
+ adduser --home "${TRYTON_HOMEDIR}" --no-create-home --quiet --system --group "${TRYTON_USER}"
# Creating home directory (also used for storage of attachments)
- mkdir -p ${TRYTON_HOMEDIR}
- chown ${TRYTON_USER}:${TRYTON_USER} ${TRYTON_HOMEDIR}
+ mkdir -p "${TRYTON_HOMEDIR}"
+ chown "${TRYTON_USER}":"${TRYTON_USER}" "${TRYTON_HOMEDIR}"
# Creating log directory
- mkdir -p ${TRYTON_LOGDIR}
- chown ${TRYTON_USER}:adm ${TRYTON_LOGDIR}
+ mkdir -p "${TRYTON_LOGDIR}"
+ chown "${TRYTON_USER}":adm "${TRYTON_LOGDIR}"
# Setting ownership and permissions on configuration file
# trytond uses internal defaults, if it cannot read the
@@ -54,7 +54,7 @@ case "${1}" in
if [ -z "$2" ]; then
if getent group ssl-cert > /dev/null 2>&1
then
- adduser --quiet ${TRYTON_USER} ssl-cert
+ adduser --quiet "${TRYTON_USER}" ssl-cert
fi
fi
;;
diff --git a/debian/tryton-server.postrm b/debian/tryton-server.postrm
index 2d6c974..3a96b72 100644
--- a/debian/tryton-server.postrm
+++ b/debian/tryton-server.postrm
@@ -37,11 +37,11 @@ case "${1}" in
# Removing system user
if pathfind deluser;
then
- deluser --quiet --system ${TRYTON_USER}
+ deluser --quiet --system "${TRYTON_USER}"
fi
# Removing log directory
- rmdir --ignore-fail-on-non-empty ${TRYTON_LOGDIR} > /dev/null 2>&1 || true
+ rmdir --ignore-fail-on-non-empty "${TRYTON_LOGDIR}" > /dev/null 2>&1 || true
# Removing (potentially) leftover old configuration backup
rm -f "${TRYTON_CONFFILEPRE34}"
@@ -49,7 +49,7 @@ case "${1}" in
# Removing (potentially) empty directories
for _ITEM in "${TRYTON_CONFDIR}" "${TRYTON_LOGDIR}" "${TRYTON_HOMEDIR}"
do
- rmdir --ignore-fail-on-non-empty ${_ITEM} > /dev/null 2>&1 || true
+ rmdir --ignore-fail-on-non-empty "${_ITEM}" > /dev/null 2>&1 || true
done
;;
--
tryton-server
More information about the tryton-debian-vcs
mailing list